Bug 1812137 - Deprecation warnings are not being printed for Satellite
Summary: Deprecation warnings are not being printed for Satellite
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: API
Version: 6.7.0
Hardware: x86_64
OS: Linux
unspecified
high vote
Target Milestone: 6.7.0
Assignee: Chris Roberts
QA Contact: tstrych
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-10 15:27 UTC by Chris Roberts
Modified: 2020-04-14 13:38 UTC (History)
2 users (show)

Fixed In Version: foreman-1.24.1.17-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:38:43 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Chris Roberts 2020-03-10 15:27:07 UTC
Description of problem:
API warning messages are not being printed for API calls that should be so the user knows to use a different API call.

Version-Release number of selected component (if applicable):

Katello 3.14
Katello 3.15
Satellite 6.6
Satellite 6.7

Additional info:

We are using the following warnings in the Katello controller code:

https://github.com/Katello/katello/blob/master/app/controllers/katello/api/v2/repositories_controller.rb#L222-L224

This commit looks like it silenced it:

https://github.com/theforeman/foreman/commit/0fd467c844fd200b5da72a0c670a5ac2bd4a61d6

This issue looks to log the warning to Rails for the API calls we care about and ignore the deprecated Rails calls we do not care about.

Comment 4 tstrych 2020-03-17 12:45:52 UTC
Verified with sat 6.7, Katello version 3.14

Production log shows the deprecation warnings. 

Verified. I ran hammer commands to create a custom repo(puppet, ostree and yum content type) and I watched the log when post request was sent from UI. 

Api deprecation message works for puppet and ostree repository types as expected. (look at code changes in Links) 


hammer command which I use for puppet:
hammer repository create --content-type puppet --name <repo_name> --product-id <product_id>  --verify-ssl-on-sync true --upstream-username <username> --upstream-password <password> --publish-via-http true

Comment 5 Bryan Kearney 2020-04-14 13:38:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.